package com.example.shawarma.screens

import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.shawarma.screens.authorization.AuthorizationScreen
import com.example.shawarma.screens.registration.RegistrationScreen
import com.example.shawarma.utils.ScreenPaths

@Composable
fun MainNavBar() {
    val navController = rememberNavController()

    NavHost(navController = navController, startDestination = ScreenPaths.authorization.name) {
        composable(ScreenPaths.authorization.name) {
            AuthorizationScreen(navController)
        }
        composable(ScreenPaths.registration.name) {
            RegistrationScreen(navController)
        }
    }
}